summaryrefslogtreecommitdiffstats
path: root/source/x/libepoxy
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-23 21:21:34 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-24 08:59:49 +0100
commit84c2304885a8a91702b657dbd82831ba6eb168e5 (patch)
tree29f8e0deeb8594a988f2027a9dc362415b517fab /source/x/libepoxy
parent729618f2a60f89159b636b5521a2dea48220bde9 (diff)
downloadcurrent-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.gz
current-84c2304885a8a91702b657dbd82831ba6eb168e5.tar.xz
Wed Dec 23 21:21:34 UTC 202020201223212134
a/lilo-24.2-x86_64-10.txz: Rebuilt. Add -fcommon to fix build with gcc10. liloconfig: Don't warn about UMSDOS which is long obsolete. Detect QEMU and use /dev/vda as the boot device in that case. Fix a case where /mnt was used instead of the target partition variable. Thanks to alienBOB. a/mkinitrd-1.4.11-x86_64-16.txz: Rebuilt. Blacklist rules.d/73-seat-late.rules. Thanks to Robby Workman. a/ndctl-71.1-x86_64-1.txz: Upgraded. a/sysklogd-2.1.2-x86_64-3.txz: Rebuilt. /etc/logrotate.d/syslog.new: add missingok option. Thanks to sovteq. l/gdbm-1.19-x86_64-1.txz: Upgraded. t/fig2dev-3.2.8-x86_64-1.txz: Upgraded. x/libepoxy-1.5.5-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/x/libepoxy')
-rwxr-xr-xsource/x/libepoxy/libepoxy.SlackBuild37
-rw-r--r--source/x/libepoxy/libepoxy.url2
2 files changed, 21 insertions, 18 deletions
diff --git a/source/x/libepoxy/libepoxy.SlackBuild b/source/x/libepoxy/libepoxy.SlackBuild
index 0792512af..e364abcc9 100755
--- a/source/x/libepoxy/libepoxy.SlackBuild
+++ b/source/x/libepoxy/libepoxy.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for libepoxy
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -79,25 +79,28 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-./autogen.sh
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$ARCH-slackware-linux \
- --disable-static || exit 1
-
-make -j $NUMJOBS || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# .la files are (hopefully) obsolete... but it seems to vary case by case
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dtests=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/x/libepoxy/libepoxy.url b/source/x/libepoxy/libepoxy.url
index c354027c8..08b7d7be4 100644
--- a/source/x/libepoxy/libepoxy.url
+++ b/source/x/libepoxy/libepoxy.url
@@ -1 +1 @@
-https://github.com/anholt/libepoxy/releases/download/1.5.4/libepoxy-1.5.4.tar.xz
+https://github.com/anholt/libepoxy/releases/download/1.5.5/libepoxy-1.5.5.tar.xz